QGIS Application - Bug report #7989
QGIS Nightly (June 2-3) Filter Vector, sql query
2013-06-03 12:49 PM - Katie Urey

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Windows XP Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 16841
Description

The query results from a vector filter seem to toggle between viewing the original data set and then the subset from the first query. | am
using this to tweak the positions of labels. (seems awkward..)

Confused?

Let me try again.

0) build a filtered layer, copy this layer to a new layer. (maybe the problem starts here)

1) build a query layer by selecting some points in dataset, say
"UA-ID"='0OT-11' OR "UA-ID"="0OT-14'

2) later alter this query to be:
"UA-ID" ='0T-11" OR "UA-ID"='0OT-14' OR "UA-ID" ='OT-13'

3) test the query
The test returns "the where clause found 2 rows"

4) clear the query

5) test the query
The test returns "the where clause found 3 rows", even though the query box is now empty.

And, now, whilst trying to reproduce this problem | seem to have loaded garbage into the point shape file. It appears that label placement
settings are displaying the wrong attribute/field. The file does not seem to be corrupted

Related issues:
Duplicates QGIS Application - Feature request # 3337: Query Builder's data sa... Closed 2012-06-30

History

#1 - 2014-05-06 07:43 AM - Antonio Locandro

Is this still an issue? This ticket refers to an old version

#2 - 2014-05-06 03:49 PM - Giovanni Manghi
- Status changed from Open to Feedback

#3 - 2014-06-23 07:15 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
